# Generated by Django 5.1.5 on 2025-01-16 07:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('participations', '0001_initial'),
        ('project_design', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RecruitmentCriteria',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minimum_age_in_months', models.PositiveSmallIntegerField(default=216)),
                ('maximum_age_in_months', models.PositiveSmallIntegerField(default=480)),
                ('attribute_filterset', models.JSONField(default=dict)),
            ],
        ),
        migrations.CreateModel(
            name='ParticipationRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pseudonym', models.CharField(max_length=255, unique=True, verbose_name='Pseudonym')),
                ('status', models.PositiveSmallIntegerField(choices=[(0, 'Pending'), (1, 'Invited')], default=0, verbose_name='Status')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('participation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='participation_requests', to='participations.participation')),
                ('recruitment_criteria', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='participation_requests', to='recruitment.recruitmentcriteria')),
            ],
        ),
        migrations.CreateModel(
            name='SubjectGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=126)),
                ('description', models.TextField(blank=True, default='')),
                ('order', models.PositiveSmallIntegerField(blank=True, default=0)),
                ('experiment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subject_groups', to='project_design.experiment')),
            ],
        ),
        migrations.AddField(
            model_name='recruitmentcriteria',
            name='subject_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recruitment_criteria', to='recruitment.subjectgroup'),
        ),
    ]
